Subject: Re: Bug report (with fix) for DEC Tulip driver (de2104x.c)

From: Sven Schnelle <[email-masked]>
Date: Thu, 19 Sep 2019 22:31:32 +0200

Hi,

On Wed, Sep 18, 2019 at 07:56:16AM +0200, Helge Deller wrote:
> On 18.09.19 00:51, John David Anglin wrote:
> > On 2019-09-17 5:36 p.m., Arlie Davis wrote:
> >> Likewise, I'm at a loss for testing with real hardware. It's hard to
> >> find such things, now.
> > How does de2104x compare to ds2142/43?  I have a c3750 with ds2142/43 tulip.  Helge
> > or some others might have a machine with a de2104x.
> 
> The machines we could test are
> * a C240 with a DS21140 tulip chip (Sven has one),

My C240 identifies as C240+:

[    0.000000] model 9000/782/C240+

which has a 21143 (verified by looking at the board):

root@c240:/# lspci -kvvnn -s 00:14.0
00:14.0 Ethernet controller [0200]: Digital Equipment Corporation DECchip 21142/43 [1011:0019] (rev 30)
	Subsystem: Hewlett-Packard Company DECchip 21142/43 [103c:104f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 255 (5000ns min, 10000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 23
	Region 0: I/O ports at 0080 [size=128]
	Region 1: Memory at f2802000 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at f2f80000 [disabled] [size=256K]
	Kernel driver in use: tulip

Regards
Sven